import { chainIds as e } from "../chains.constants.mjs";
import t from "./arcTestnetRegistry.json.mjs";
import n from "./ethMainnetRegistryFixed.json.mjs";
import r from "./arbMainnetRegistryFixed.json.mjs";
import i from "./polygonRegistryFixed.json.mjs";
import a from "./optimismRegistryFixed.json.mjs";
import o from "./baseRegistryFixed.json.mjs";
import s from "./ethMainnetRegistry.json.mjs";
import c from "./arbMainnetRegistry.json.mjs";
import l from "./polygonRegistry.json.mjs";
import u from "./optimismRegistry.json.mjs";
import d from "./baseRegistry.json.mjs";
import f from "./localhostRegistry.json.mjs";
import p from "./solanaMainnetRegistry.json.mjs";
import m from "./solanaLocalnetRegistry.json.mjs";
import h from "./sepoliaTestnetRegistry.json.mjs";
import g from "./tempoRegistry.json.mjs";
import _ from "./tronNileRegistry.json.mjs";
import v from "./tronMainnetRegistry.json.mjs";
//#region libs/shared/common/src/constants/token-data/ERC20Registry.ts
var y = (e, t) => e.map((e) => ({
	...e,
	chainId: t
})), b = (n) => {
	let r = f.networkRegistry.slice(0, 10);
	switch (n) {
		case e.polygon: return l.networkRegistry;
		case e.arbMainnet: return c.networkRegistry;
		case e.ethMainnet: return s.networkRegistry;
		case e.optimism: return u.networkRegistry;
		case e.optimismTest: return y(u.networkRegistry, e.optimismTest);
		case e.base: return d.networkRegistry;
		case e.arcTestnet: return t.networkRegistry;
		case e.sepoliaTestnet: return h.networkRegistry;
		case e.tempo: return g.networkRegistry;
		case e.solanaMainnet: return p.networkRegistry;
		case e.solanaLocalnet: return m.networkRegistry;
		case e.tronNile: return _.networkRegistry;
		case e.tronMainnet: return v.networkRegistry;
		default: return r;
	}
}, x = (t) => {
	let s;
	switch (t) {
		case e.polygon:
			s = i;
			break;
		case e.arbMainnet:
			s = r;
			break;
		case e.ethMainnet:
			s = n;
			break;
		case e.optimism:
			s = a;
			break;
		case e.optimismTest:
			s = a;
			break;
		case e.base:
			s = o;
			break;
		case e.solanaMainnet:
			s = p;
			break;
		case e.solanaLocalnet:
			s = m;
			break;
		case e.tronNile:
			s = _;
			break;
		case e.tronMainnet:
			s = v;
			break;
		default:
			s = n;
			break;
	}
	return s.networkRegistry;
};
//#endregion
export { b as getERC20Registry, x as getFixedRegistry };
